aboutsummaryrefslogtreecommitdiff
path: root/paludis/resolver/resolver_TEST_promote_binaries_setup.sh
diff options
context:
space:
mode:
authorAvatar Dimitry Ishenko <dimitry.ishenko@gmail.com> 2014-03-15 22:54:07 -0400
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2014-03-21 15:36:44 +0000
commit370cac9e401af4d9038e174f7002a93218525038 (patch)
tree99bb0e2e9a7e3956daef03ea75baa36045f4e53d /paludis/resolver/resolver_TEST_promote_binaries_setup.sh
parent1050ee7d3bf8cd37663c8506f50e19e2786987ac (diff)
downloadpaludis-370cac9e401af4d9038e174f7002a93218525038.tar.gz
paludis-370cac9e401af4d9038e174f7002a93218525038.tar.xz
Tests for PromoteBinariesHelper
Diffstat (limited to 'paludis/resolver/resolver_TEST_promote_binaries_setup.sh')
-rwxr-xr-xpaludis/resolver/resolver_TEST_promote_binaries_setup.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/paludis/resolver/resolver_TEST_promote_binaries_setup.sh b/paludis/resolver/resolver_TEST_promote_binaries_setup.sh
new file mode 100755
index 000000000..c3c2980dc
--- /dev/null
+++ b/paludis/resolver/resolver_TEST_promote_binaries_setup.sh
@@ -0,0 +1,41 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir resolver_TEST_promote_binaries_dir || exit 1
+cd resolver_TEST_promote_binaries_dir || exit 1
+
+mkdir -p build
+mkdir -p distdir
+mkdir -p installed
+
+mkdir -p binrepo/{profiles/profile,metadata,packages}
+
+cd binrepo
+echo "binrepo" > profiles/repo_name
+: > metadata/categories.conf
+cd ..
+
+mkdir -p repo/{profiles/profile,metadata,packages}
+
+cd repo
+echo "repo" > profiles/repo_name
+echo "cat" > metadata/categories.conf
+
+mkdir -p packages/cat/pkg1
+cat <<END > packages/cat/pkg1/pkg1-1.exheres-0
+SUMMARY="pkg1"
+PLATFORMS="test"
+MYOPTIONS="opt"
+SLOT="0"
+END
+
+mkdir -p packages/cat/pkg2
+cat <<END > packages/cat/pkg2/pkg2-1.exheres-0
+SUMMARY="pkg1"
+PLATFORMS="test"
+MYOPTIONS="opt"
+SLOT="0"
+END
+
+cd ..
+